{-------------------------------------------------------------------------}
{    Lcard_ad  BP7.0/Delphi                }
{-------------------------------------------------------------------------}
Unit LCard_ad;
interface

{                                  }
Const
   NO_BOARD=0;
   L305=1;
   L1610=2;
   L1250=3;
   L154=4;
   L164=5;
   L1056=6;
   L1208=7;
   L264=8;
   E330=9;
   L1210=10;


{                                                  }
procedure SELECT_SLOT(SlotNumber:Word);

function  PLATA_TEST:Word;
procedure SET_BOARD_TYPE(Board:Word);
function  GET_BOARD_TYPE:Word;
procedure SET_BASE_ADDRESS(Address:Word);
procedure ENABLE_INT(IntEnabled:WordBool);

function  CREATE_CHANNEL(Channel,Usil,Mode:Word):Word;
function  MEMORY_STATE:Word;
function  MEMORY_PM_STATE:Word;
procedure SET_INTER_DELAY(Delay_Value:Word);
function  LOADBIOS(FileName:PChar; DslOff:Word):Word;
procedure SET_ADSP_SPEED(DspType:Word);
procedure SET_WAIT_STATE(Wait_State:Word);
procedure SET_TIMER_SCALE(ScaleValue:Word);

procedure TIMER_L154_L164(TimerNumber,Mode:Word; Rate:Word);
procedure WAIT_TICK_L154_L164(TimerNumber:Word);
function  GET_TIMER_L154_L164:Word;
procedure CALIBRATION;

procedure INIT_COMPARATOR(Chan:Word; Porog:Integer; BitNPoint,
                     HandleMode:Word);
procedure LOW_POWER(ModeReg:Word);
procedure WRITE_ARRAY_TO_MEMORY(var Datad; Page_number,NPoint : Word);
procedure READ_ARRAY_FROM_MEMORY(var Datad, Page_number,NPoint : Word);

{                                                           }
function  GET_SLOT_CODE(CraitNumber, ModuleNumber:Word):Word;
procedure RESET_ALL;
function  MAKE_CHANNEL(CraitNumber, ModuleNumber, Chan, Kadrr,
                        Usil:Word):Word;
procedure PROGRAM_FILTER(CraitNumber, ModuleNumber, CutFrequency,
                         AnalogFilterType:Word);
procedure PROGRAM_LM_201(CraitNumber, ModuleNumber, Chan, Usil1,
                         Source:Word);
procedure PROGRAM_LM_102(CraitNumber, ModuleNumber, Usil1:Word);
procedure PROGRAM_LM_501(CraitNumber, ModuleNumber,
                          M3, M2, M1, EN, EP, AN, AP:Word);
procedure PROGRAM_LM_DAC(CraitNumber, ModuleNumber, Mode:Word;
                          Coded:Integer; DacCh : Word);
function  GET_LM_401(CraitNumber, ModuleNumber :Word):Word;
function  LM_404(Coded:Word):Word;
procedure PROGRAM_LM_TTLOUT(CraitNumber, ModuleNumber, Coded:Word);


{  -                                                   }
procedure SETCHANNEL(Channel:Word);
function  SAMPLE:Integer;
function  ADCHAN(Chan:Word):Integer;
procedure KADR(Var Datad; Var Chan; Nch:Word);
procedure STREAM(Var Datad; NPoint,Chan,Rate:Word);
procedure SOFT(Var Datad; Nkadr:Word; Var Chan; Nch:Word; Rate:Word);
procedure SOFT_HUGE(Var Datad; Nkadr:LongInt; Var Chan; Nch:Word; Rate:Word);

procedure DMAONE(Var Datad; NPoint,Chan,Rate,Dmm:Word);
procedure DMAALL(Var Datad; Nkadr:Word; Var Chan;  Nch, Rate, Dmm:Word);
procedure DMA_ALL_DA(Var AdDatad; AdNkadr:Word; Var Chan;  Nch,
          Rate, AdDmm:Word; Var DaDatad; DaNkadr,DaDmm,DaNumber:Word);


procedure OUTDA(Coded:Word);
procedure SET_DA_NUMBER(SoftDaMode,DaNumber:Word);
procedure STREAM_OUTDA(Coded:Word);
procedure DASTREAM(Rate,Npoint:Word; var Datad);
procedure DASTREAM_HUGE(Rate:Word; NPoint:LongInt; var Datad);
procedure DADMASTREAM(var Datad; Npoint,Rate,Dmm:Word);


procedure OUTBYTE(CodeVal:Word);
function  INPBYTE:Word;
procedure DSP_OUTBYTE(CodeVal:Word);
function  DSP_INPBYTE:Word;


{                                                           }
{ !  ,     ,      }
{   FIXED PRELOAD PERMANENT.        }
{  ,  -,   $C  -}
{  .  .   DLL,           }
{ ' DLL    Borland Delphi'                           }
procedure INTR_SETUP(Number:Word);
procedure STOP_INTR;
procedure RESET_IRQ;

procedure INIT_SIMPLE_INTR(Rate, Rate1:Word; Vector:Pointer);
procedure STREAM_INTR(Rate:Word; Vector:Pointer; Chan:Word);
procedure SOFT_INTR(Rate:Word; Vector:Pointer; Var Chan; Nch:Word);
function  READ_DATA:Integer;
function  DATA_READY:Word;

{                                                            }
procedure SYNCHRO_MODE(SMode,TtlMask,AdChannel:Word; AdValue:Integer);

{                                                   }
procedure SOFT_MEMORY_START(Nkadr:LongInt; Var Chan; Nch:WORD; Rate:WORD; PageNumber:WORD;
 OffsetNumber:WORD; RestartMode:WORD);
function  TEST_FOR_INPUT_END:WordBool;
procedure GET_INPUT_DATA(Var Datad;  Npoint:WORD);
procedure SOFT_MEMORY_RESTART;                            

{  DMA                                                          }
procedure DMA_OFF;
function  DMA_TEST:Word;
function  DMA_COUNTER_IN:Word;
function  DMA_COUNTER_OUT:Word;
procedure GET_BUFFER(var Data);
function  GET_BUFFER_HALF(var Data):Word;
procedure PUT_BUFFER(var Data);
function  PUT_BUFFER_HALF(var Data):Word;

{  FIFO                                                          }
procedure CONFIG_FIFO(Fifo_Mode:Word);
procedure CONFIG_2FIFO_TYPE(Fifo_Type, Fifo_Length:Word);
procedure READ_FIFO(var Datad; NPoint:Word);
procedure STREAM_FIFO2_BEGIN(Rate:Word; Vector:Pointer; var Chan; Nch:Word);
procedure BOARD_SPECIFIC_INIT(LowPowerMode:WORD);


{      }
{    L1056 (16   40   )       }
procedure GET_DIGITS_1056(Chan:WORD; Var Data);
procedure OUT_DIGITS_1056(Data:WORD);
procedure STREAM_1056(Var Datad; NKadr:WORD; Chan:WORD; Rate:WORD);
procedure STREAM_DMA_1056(Var Datad; Nkadr:WORD; Chan:WORD; Rate:WORD; Dmm:WORD);
procedure OUT_STREAM_1056(Var Datad; NPoint:WORD; Rate:WORD);
procedure OUT_STREAM_DMA_1056(Var Datad; Npoint:WORD; Rate:WORD; Dmm:WORD);
procedure INIT_INTR_1056(Rate:WORD; Chan:WORD; Vector:Pointer);
procedure SET_SYNCHRO_MODE_1056(s_mode:WORD; s_number:WORD; s_mask:WORD);

{     L1208 (16- )                          }
procedure ZERO_MODE_1208(Mode:WORD);
procedure OUTDA_1208(Coded:WORD; DacNumber:WORD);
procedure KADR_1208(Nch:WORD; Var Datad; Var DacNumber);
procedure SOFT_1208(Var Datad; NPoint:WORD; Var DacNumber; NCh:WORD; Rate:WORD);
procedure SOFT_FON_1208(Var Datad; NPoint:WORD; Var DacNumber; NCh:WORD; Rate:WORD);
procedure DMASOFT_1208(Var Datad; NPoint:WORD; Var DacNumber; Nch:WORD; Rate:WORD; Dmm:WORD);
procedure SOFT_INTR_1208(Rate:WORD ;Vector:Pointer; Nch:WORD);

{    E330 ( -  EPP-)                  }
procedure POWER_AND_PRINTER_E330(ModePower:WORD; ModePrinter:WORD);
procedure SET_EPP_MODE_E330(aEppMode:WORD);
procedure SET_FIFO_PARAMETERS_E330(FifoSize:WORD; FifoMode:WORD);
procedure SET_SOFT_PARM_E330(Nch:WORD; Var Channels);
procedure SET_TIME_PARAMETERS_E330(Rate:WORD);
procedure TIMER_INPUT_START_E330;
procedure STOP_FUNC_E330;
procedure TIMER_INPUT_E330(Var Datad; NWords:WORD);
procedure SOFT_MEMORY_PREPARE_E330(Nkadr:LongInt; PageNumber:WORD;
      OffsetNumber:WORD; RestartMode:WORD);               
procedure SOFT_MEMORY_START_E330;
procedure TIMER_INPUT_IRQ_START_E330(Vector:Pointer);
procedure IRQ_SLOW_START_E330(IrqPeriod:WORD; Vector:Pointer);


{-------------------------------------------------------------------------}
implementation
{                                                  }

procedure SELECT_SLOT(SlotNumber:Word);                     external 'LCard_ad' index 2;

function  PLATA_TEST:Word;                                  external 'LCard_ad';
procedure SET_BOARD_TYPE(Board:Word);                       external 'LCard_ad';
function  GET_BOARD_TYPE:Word;                              external 'LCard_ad';
procedure SET_BASE_ADDRESS(Address:Word);                   external 'LCard_ad';
procedure ENABLE_INT(IntEnabled:WordBool);                  external 'LCard_ad';
function  LOADBIOS(FileName:PChar; DslOff:Word):Word;       external 'LCard_ad';

function  CREATE_CHANNEL(Channel,Usil,Mode:Word):Word;      external 'LCard_ad' index 8;
function  MEMORY_STATE:Word;                                external 'LCard_ad';
function  MEMORY_PM_STATE:Word;                             external 'LCard_ad';
procedure SET_INTER_DELAY(Delay_Value:Word);                external 'LCard_ad';
procedure SET_ADSP_SPEED(DspType:Word);                     external 'LCard_ad';
procedure SET_WAIT_STATE(Wait_State:Word);                  external 'LCard_ad';
procedure SET_TIMER_SCALE(ScaleValue:Word);                 external 'LCard_ad';


procedure TIMER_L154_L164(TimerNumber,Mode:Word; Rate:Word);external 'LCard_ad' index 15;
procedure WAIT_TICK_L154_L164(TimerNumber:Word);            external 'LCard_ad' index 16;
function  GET_TIMER_L154_L164:Word;                         external 'LCard_ad' index 17;
procedure CALIBRATION;                                      external 'LCard_ad';

procedure INIT_COMPARATOR(Chan:Word; Porog:Integer;
            BitNPoint, HandleMode:Word);                    external 'LCard_ad';
procedure LOW_POWER(ModeReg:Word);                          external 'LCard_ad';
procedure WRITE_ARRAY_TO_MEMORY(var Datad; Page_number,
            NPoint : Word);                                 external 'LCard_ad';
procedure READ_ARRAY_FROM_MEMORY(var Datad, Page_number,
            NPoint : Word);                                 external 'LCard_ad';

{                                                           }
function  GET_SLOT_CODE(CraitNumber,ModuleNumber:Word):Word;external 'LCard_ad';
procedure RESET_ALL;                                        external 'LCard_ad';
function  MAKE_CHANNEL(CraitNumber, ModuleNumber, Chan, Kadrr,
                        Usil:Word):Word;                    external 'LCard_ad' index 23;
procedure PROGRAM_FILTER(CraitNumber, ModuleNumber, CutFrequency,
                         AnalogFilterType:Word);            external 'LCard_ad';
procedure PROGRAM_LM_201(CraitNumber, ModuleNumber, Chan, Usil1,
                         Source:Word);                      external 'LCard_ad';
procedure PROGRAM_LM_102(CraitNumber, ModuleNumber, Usil1:Word); external 'LCard_ad';
procedure PROGRAM_LM_501(CraitNumber, ModuleNumber,
                          M3, M2, M1, EN, EP, AN, AP:Word); external 'LCard_ad';
procedure PROGRAM_LM_DAC(CraitNumber, ModuleNumber, Mode:Word;
                       Coded:Integer; DacCh : Word);        external 'LCard_ad';
function  GET_LM_401(CraitNumber, ModuleNumber :Word):Word; external 'LCard_ad';
function  LM_404(Coded:Word):Word;                          external 'LCard_ad';
procedure PROGRAM_LM_TTLOUT(CraitNumber, ModuleNumber, Coded:Word);
                                                            external 'LCard_ad';

{  -                                                   }
procedure SETCHANNEL(Channel:Word);                         external 'LCard_ad' index 32;
function  SAMPLE:Integer;                                   external 'LCard_ad' index 33;
function  ADCHAN(Chan:Word):Integer;                        external 'LCard_ad' index 34;
procedure KADR(Var Datad; Var Chan; Nch:Word);              external 'LCard_ad' index 35;
procedure STREAM(Var Datad; NPoint,Chan,Rate:Word);         external 'LCard_ad' index 36;
procedure SOFT(Var Datad; Nkadr:Word; Var Chan; Nch:Word; Rate:Word);
                                                            external 'LCard_ad' index 37;
procedure SOFT_HUGE(Var Datad; Nkadr:LongInt; Var Chan; Nch:Word; Rate:Word);
                                                            external 'LCard_ad' index 38;
procedure DMAONE(Var Datad; NPoint,Chan,Rate,Dmm:Word);     external 'LCard_ad' index 39;

procedure DMAALL(Var Datad; Nkadr:Word; Var Chan;  Nch, Rate, Dmm:Word);
                                                            external 'LCard_ad' index 40; 
procedure DMA_ALL_DA(Var AdDatad; AdNkadr:Word; Var Chan;  Nch,
          Rate, AdDmm:Word; Var DaDatad; DaNkadr,DaDmm,DaNumber:Word);
                                                            external 'LCard_ad' index 41;
procedure OUTDA(Coded:Word);                                external 'LCard_ad' index 42;
procedure SET_DA_NUMBER(SoftDaMode,DaNumber:Word);          external 'LCard_ad' index 43;
procedure STREAM_OUTDA(Coded:Word);                         external 'LCard_ad' index 44;
procedure DASTREAM(Rate,Npoint:Word; var Datad);            external 'LCard_ad' index 45; 
procedure DASTREAM_HUGE(Rate:Word; NPoint:LongInt; var Datad); external 'LCard_ad' index 46;
procedure DADMASTREAM(var Datad; Npoint,Rate,Dmm:Word);     external 'LCard_ad' index 47;


procedure OUTBYTE(CodeVal:Word);                            external 'LCard_ad' index 48;
function  INPBYTE:Word;                                     external 'LCard_ad' index 49;
procedure DSP_OUTBYTE(CodeVal:Word);                        external 'LCard_ad' index 51;
function  DSP_INPBYTE:Word;                                 external 'LCard_ad' index 50;


{                                                           }
{ !  ,     ,      }
{   FIXED PRELOAD PERMANENT.        }
{  ,  -,   $C  -}
{  .  .   DLL,           }
{ ' DLL    Borland Delphi'                           }
procedure INTR_SETUP(Number:Word);                          external 'LCard_ad' index 52;
procedure STOP_INTR;                                        external 'LCard_ad' index 53;
procedure RESET_IRQ;                                        external 'LCard_ad' index 54;

procedure INIT_SIMPLE_INTR(Rate, Rate1:Word; Vector:Pointer);external 'LCard_ad' index 55;
procedure STREAM_INTR(Rate:Word; Vector:Pointer; Chan:Word);external 'LCard_ad' index 56;
procedure SOFT_INTR(Rate:Word; Vector:Pointer; Var Chan; Nch:Word);external 'LCard_ad' index 57;
function  READ_DATA:Integer;                                external 'LCard_ad' index 58;
function  DATA_READY:Word;                                  external 'LCard_ad' index 59;

{                                                            }
procedure SYNCHRO_MODE(SMode,TtlMask,AdChannel:Word; AdValue:Integer);
                                                            external 'LCard_ad' index 60;

{                                                   }
procedure SOFT_MEMORY_START(Nkadr:longint; Var Chan; Nch:WORD; Rate:WORD; PageNumber:WORD;
 OffsetNumber:WORD; RestartMode:WORD);                      external 'LCard_ad' index 61;
function  TEST_FOR_INPUT_END:WordBool;                      external 'LCard_ad' index 62;
procedure GET_INPUT_DATA(Var Datad;  Npoint:WORD);          external 'LCard_ad' index 63;
procedure SOFT_MEMORY_RESTART;                              external 'LCard_ad' index 64;

{  DMA                                                          }
procedure DMA_OFF;                                          external 'LCard_ad' index 65;
function  DMA_TEST:Word;                                    external 'LCard_ad' index 66;
function  DMA_COUNTER_IN:Word;                              external 'LCard_ad' index 67;
function  DMA_COUNTER_OUT:Word;                             external 'LCard_ad' index 68;
procedure GET_BUFFER(var Data);                             external 'LCard_ad' index 69;
function  GET_BUFFER_HALF(var Data):Word;                   external 'LCard_ad' index 70;
procedure PUT_BUFFER(var Data);                             external 'LCard_ad' index 71;
function  PUT_BUFFER_HALF(var Data):Word;                   external 'LCard_ad' index 72;


{  FIFO                                                          }
procedure CONFIG_FIFO(Fifo_Mode:Word);                      external 'LCard_ad';
procedure CONFIG_2FIFO_TYPE(Fifo_Type, Fifo_Length:Word);   external 'LCard_ad';
procedure READ_FIFO(var Datad; NPoint:Word);                external 'LCard_ad' index 75;
procedure STREAM_FIFO2_BEGIN(Rate:Word; Vector:Pointer; var Chan; Nch:Word);
                                                            external 'LCard_ad' index 76;
procedure BOARD_SPECIFIC_INIT(LowPowerMode:WORD);           external 'LCard_ad';


{      }
{    L1056 (16   40   )       }
procedure GET_DIGITS_1056(Chan:WORD; Var Data);             external 'LCard_ad' index 77;
procedure OUT_DIGITS_1056(Data:WORD);                       external 'LCard_ad' index 78;
procedure STREAM_1056(Var Datad; NKadr:WORD; Chan:WORD; Rate:WORD);
                                                            external 'LCard_ad' index 79;
procedure STREAM_DMA_1056(Var Datad; Nkadr:WORD; Chan:WORD; Rate:WORD; Dmm:WORD);
                                                            external 'LCard_ad' index 80;
procedure OUT_STREAM_1056(Var Datad; NPoint:WORD; Rate:WORD);
                                                            external 'LCard_ad' index 81;
procedure OUT_STREAM_DMA_1056(Var Datad; Npoint:WORD; Rate:WORD; Dmm:WORD);
                                                            external 'LCard_ad' index 82;
procedure INIT_INTR_1056(Rate:WORD; Chan:WORD; Vector:Pointer);
                                                            external 'LCard_ad' index 83;
procedure SET_SYNCHRO_MODE_1056(s_mode:WORD; s_number:WORD; s_mask:WORD);
                                                            external 'LCard_ad';

{     L1208 (16- )                          }
procedure ZERO_MODE_1208(Mode:WORD);                        external 'LCard_ad';
procedure OUTDA_1208(Coded:WORD; DacNumber:WORD);           external 'LCard_ad' index 86;
procedure KADR_1208(Nch:WORD; Var Datad; Var DacNumber);    external 'LCard_ad' index 87;
procedure SOFT_1208(Var Datad; NPoint:WORD; Var DacNumber; NCh:WORD; Rate:WORD);
                                                            external 'LCard_ad' index 87;
procedure SOFT_FON_1208(Var Datad; NPoint:WORD; Var DacNumber; NCh:WORD; Rate:WORD);
                                                            external 'LCard_ad' index 89;
procedure DMASOFT_1208(Var Datad; NPoint:WORD; Var DacNumber; Nch:WORD; Rate:WORD; Dmm:WORD);
                                                            external 'LCard_ad' index 90;
procedure SOFT_INTR_1208(Rate:WORD ;Vector:Pointer; Nch:WORD);
                                                            external 'LCard_ad' index 91;

{    E330 ( -  EPP-)                  }
procedure POWER_AND_PRINTER_E330(ModePower:WORD; ModePrinter:WORD);
                                                            external 'LCard_ad';
procedure SET_EPP_MODE_E330(aEppMode:WORD);                 external 'LCard_ad';
procedure SET_FIFO_PARAMETERS_E330(FifoSize:WORD; FifoMode:WORD);
                                                            external 'LCard_ad' index 91;
procedure SET_SOFT_PARM_E330(Nch:WORD; Var Channels);       external 'LCard_ad' index 100;
procedure SET_TIME_PARAMETERS_E330(Rate:WORD);              external 'LCard_ad' index 101;
procedure TIMER_INPUT_START_E330;                           external 'LCard_ad' index 102;
procedure STOP_FUNC_E330;                                   external 'LCard_ad' index 103;
procedure TIMER_INPUT_E330(Var Datad; NWords:WORD);         external 'LCard_ad' index 104;
procedure SOFT_MEMORY_PREPARE_E330(Nkadr:LongInt; PageNumber:WORD;
      OffsetNumber:WORD; RestartMode:WORD);                 external 'LCard_ad' index 105;
procedure SOFT_MEMORY_START_E330;                           external 'LCard_ad' index 106;
procedure TIMER_INPUT_IRQ_START_E330(Vector:Pointer);       external 'LCard_ad' index 107;
procedure IRQ_SLOW_START_E330(IrqPeriod:WORD; Vector:Pointer); external 'LCard_ad' index 108;

begin
end.






